#### write (13 of 16 overloads)

Write all of the supplied data to a stream before returning.

    template<
        typename SyncWriteStream,
        typename DynamicBuffer_v2>
    std::size_t write(
        SyncWriteStream & s,
        DynamicBuffer_v2 buffers,
        typename enable_if< is_dynamic_buffer_v2< DynamicBuffer_v2 >::value >::type *  = 0);

This function is used to write a certain number of bytes of data to a stream. The call will block until one of the following conditions is true:

- All of the data in the supplied dynamic buffer sequence has been written.
- An error occurred.

This operation is implemented in terms of zero or more calls to the stream's write_some function.

###### Parameters

s

  The stream to which the data is to be written. The type must support the SyncWriteStream concept.

buffers

  The dynamic buffer sequence from which data will be written. Successfully written data is automatically consumed from the buffers.

###### Return Value

The number of bytes transferred.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Remarks

This overload is equivalent to calling:

    asio::write(
        s, buffers,
        asio::transfer_all());